View Issue Details

IDProjectCategoryView StatusLast Update
0000949FreeCADFeaturepublic2014-05-14 13:18
ReporterraulshcAssigned Tojmaustpc 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
PlatformallOSallOS Version
Product Versiontrunk 
Target VersiontrunkFixed in Version0.14 
Summary0000949: V0.14 - Add icons to its respectives operations in treeview
DescriptionAdd the icon of each feature to its operation in the treeview, making the visually identification of its respective operations easier, especially if the operation was renamed. I include one example (bitmap manipulation, of course).
TagsNo tags attached.

Activities

2013-01-07 23:33

 

operation_tree_icons.png (Attachment missing)

raulshc

2013-01-07 23:36

reporter   ~0002817

Last edited: 2013-01-07 23:40

Add icons to ''their respective'' operations in treeview, i apologize for it. Could be corrected?

jmaustpc

2013-03-10 04:55

manager   ~0002975

I have added the icons for Part Vertex, Line, Edge, Circle, Ellipse and Helix to my github repository here: -

https://github.com/jmaustpc/FreeCAD_sf_master/commits/mymodsicons1

Others will come soon.

Yorik, would you mind committing this to master?

Jim

jmaustpc

2014-05-14 13:18

manager   ~0004675

all the agreed and common icons are there now for Part and PartDesign

Issue History

Date Modified Username Field Change
2013-01-07 23:33 raulshc New Issue
2013-01-07 23:33 raulshc File Added: operation_tree_icons.png
2013-01-07 23:36 raulshc Note Added: 0002817
2013-01-07 23:36 raulshc Note Edited: 0002817
2013-01-07 23:40 raulshc Note Edited: 0002817
2013-03-09 20:21 yorik Status new => assigned
2013-03-09 20:21 yorik Assigned To => jmaustpc
2013-03-10 04:47 jmaustpc Projection none => tweak
2013-03-10 04:47 jmaustpc ETA none => < 1 month
2013-03-10 04:47 jmaustpc OS => all
2013-03-10 04:47 jmaustpc Platform => all
2013-03-10 04:47 jmaustpc Product Version 0.12 => trunk
2013-03-10 04:47 jmaustpc Target Version => trunk
2013-03-10 04:55 jmaustpc Note Added: 0002975
2014-05-14 13:18 jmaustpc Note Added: 0004675
2014-05-14 13:18 jmaustpc Status assigned => closed
2014-05-14 13:18 jmaustpc Resolution open => fixed
2014-05-14 13:18 jmaustpc Fixed in Version => 0.14